<?php
/**
 * BannersApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Content management
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CmsClient;

use \Ensi\CmsClient\Configuration;
use \Ensi\CmsClient\ApiException;
use \Ensi\CmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * BannersApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class BannersApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createBanner
     *
     * Creating an object of type Banner.
     *
     */
    public function testCreateBanner()
    {
    }

    /**
     * Test case for deleteBanner
     *
     * Deleting an object of type Banner.
     *
     */
    public function testDeleteBanner()
    {
    }

    /**
     * Test case for deleteBannerFile
     *
     * Deleting a file for an object of type Banner.
     *
     */
    public function testDeleteBannerFile()
    {
    }

    /**
     * Test case for replaceBanner
     *
     * Replacing an object of type Banner.
     *
     */
    public function testReplaceBanner()
    {
    }

    /**
     * Test case for searchBanner
     *
     * Search for object of type Banner.
     *
     */
    public function testSearchBanner()
    {
    }

    /**
     * Test case for searchBannerTypes
     *
     * Search for objects of type BannerType.
     *
     */
    public function testSearchBannerTypes()
    {
    }

    /**
     * Test case for searchBanners
     *
     * Search for objects of type Banner.
     *
     */
    public function testSearchBanners()
    {
    }

    /**
     * Test case for uploadBannerFile
     *
     * Uploading file for object type Banner.
     *
     */
    public function testUploadBannerFile()
    {
    }
}
